<?php



if (!defined('ABSPATH')) {
	exit();
}


if (!class_exists('App_Expert_Settings_Page')) {

	class App_Expert_Settings_Page
	{

		/**
		 * @var array
		 */
		private $options;

		public function __construct()
		{
			add_action('admin_menu', [$this, 'add_settings_page']);
			add_action('admin_init', [$this, 'register_settings']);
		}


		public function add_settings_page()
		{
			add_options_page('App Experts Settings', 'App Experts', 'manage_options', 'App Experts', [$this, 'render_settings_page']);
		}

		public function register_settings()
		{
			register_setting('app_expert_options', 'app_expert_options');
		}

		public function render_settings_page()
		{
			?>
			<h2>App Experts Settings</h2>
			<br>
			<h3>Server htaccess settings</h3>
			<p>Make sure that your server .htaccess file is configured to allow <strong>Authorization Header</strong></p>

			<xmp>
				<IfModule mod_rewrite.c>
					RewriteEngine On
					RewriteBase /
					RewriteRule ^index\.php$ - [L]
					RewriteCond %{REQUEST_FILENAME} !-f
					RewriteCond %{REQUEST_FILENAME} !-d
					RewriteRule . /index.php [L]
					RewriteCond %{HTTP:Authorization} ^(.*)
					RewriteRule ^(.*) - [E=HTTP_AUTHORIZATION:%1]
				</IfModule>
				SetEnvIf Authorization "(.*)" HTTP_AUTHORIZATION=$1
				# END WordPress
			</xmp>

			<hr>
		<?php

		}
	}
}
new App_Expert_Settings_Page();
