<?php
if (!defined('ABSPATH')){
	exit();
}

if (!class_exists('App_Expert_Author_Meta_Data')){
	class App_Expert_Author_Meta_Data implements  App_Expert_IResponnse_Meta_data {

		/**
		 * @param array $data
		 *
		 * @return void
		 */
		public  function attach_data(array &$data){
			if (!isset($data['author']) || empty($data['author']))
				return;

			$authors_ids = $data['author'];

			$users = array();
			if (is_array($authors_ids)){
				foreach ($authors_ids as $authors_id){
					$users[] =  $this->prepare_author_data(get_userdata($authors_id));
				}
			}else{
				$users[] =  $this->prepare_author_data(get_userdata($authors_ids));
			}
			$data['author'] = $users;

		}

		/**
		 * @param WP_User $user
		 *
		 * @return array
		 */
		private function prepare_author_data(WP_User $user){
			return array(
				'id' => $user->ID,
				'name' => $user->display_name,
				'avatar_urls' => array(
					'small' => get_avatar_url( $user, array( 'size' => App_Expert_Users_Controller::USER_IMAGE_SMALL ) ),
					'medium' => get_avatar_url( $user, array( 'size' => App_Expert_Users_Controller::USER_IMAGE_MEDIUM ) ),
					'large' =>  get_avatar_url( $user, array( 'size' => App_Expert_Users_Controller::USER_IMAGE_LARGE ) ),
				)
			);
		}

	}
}
