<?php
if (!defined('ABSPATH')){
	exit();
}

if (!class_exists('App_Expert_CPT_Term_Meta_Data')){

	class App_Expert_CPT_Term_Meta_Data implements  App_Expert_IResponnse_Meta_data {

		/**
		 * @var App_Expert_Term_Meta_Data
		 */
		private $app_expert_term_meta_data;

		public function __construct() {

			$this->app_expert_term_meta_data = new App_Expert_Term_Meta_Data();
		}

		/**
		 * @param array $data
		 *
		 * @return void
		 */
		public  function attach_data(array &$data){
			$post_type = get_post_type($data['id']);

			$taxonomies = wp_list_filter( get_object_taxonomies( $post_type, 'objects' ), array( 'show_in_rest' => true ) );

			foreach ($taxonomies as $taxonomy){
				//need to check for rest_base and name because some custom taxonomies don't have rest_base
				$tax_rest_name = '';


				if (isset($data[$taxonomy->name]) && !empty($data[$taxonomy->name]))
					$tax_rest_name = $taxonomy->name;

				if (isset($data[$taxonomy->rest_base]) && !empty($data[$taxonomy->rest_base]))
					$tax_rest_name = $taxonomy->rest_base;

				if (empty($tax_rest_name))
					continue;

				$data[$tax_rest_name] = $this->app_expert_term_meta_data->get_term_data($taxonomy->name , $data[$tax_rest_name]);
			}
		}

	}
}
