<?php
if (!defined('ABSPATH')){
	exit();
}

if (!class_exists('App_Expert_Hierarchy_Handler')){

	class App_Expert_Hierarchy_Handler  {


		/**
		 * @param string $taxonomy
		 * @param string $parent_id
		 * @param WP_REST_Request $request
		 * @param WP_REST_Terms_Controller $controller
		 *
		 * @return array
		 */
		public function get_taxonomy_children_response(string  $taxonomy , string $parent_id , WP_REST_Request $request , WP_REST_Terms_Controller $controller) {

			$response = array();
			$terms = get_terms(
				array(
					'taxonomy' => $taxonomy,
					'parent' => $parent_id ,
					'hide_empty' => false,
				)
			);

			if (!empty($terms)){
				foreach ($terms as $term) {
					$response[] = $this->get_term_prepared($taxonomy , $term , $request , $response , $controller);
				}
			}
			return $response;

		}

		/**
		 * @param string $taxonomy
		 * @param WP_Term $term
		 * @param WP_REST_Request $request
		 * @param array $response
		 * @param WP_REST_Terms_Controller $controller
		 *
		 * @return array
		 */
		public function get_term_prepared(string  $taxonomy , WP_Term $term , WP_REST_Request $request , array $response , WP_REST_Terms_Controller $controller){

			$single_term_response = $controller->prepare_item_for_response( $term, $request );

			$response_data = $single_term_response->get_data();

			unset( $response_data['parent'] );

			if (!isset($response_data['id']) || empty($response_data['id']))
				return $response;

			$response_data['children'] = $this->get_taxonomy_children_response($taxonomy , $response_data['id'] , $request , $controller);

			$single_term_response->set_data($response_data);

			return $controller->prepare_response_for_collection($single_term_response);
		}



	}


}
