<?php

/**
 * Template Name: Thank You
 * This template will only display the content of the woocommerce thank you page
 */

$order_id = isset($_GET['order_id']) ? $_GET['order_id'] : 0;
$order = null;
if (function_exists('wc_get_order')) {
    $order = wc_get_order($order_id);
}

?>
<!DOCTYPE html>

<html <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="<?php echo APP_EXPERT_URL; ?>assets/css/woocommerce-thankyou.css" rel="stylesheet">

    <?php wp_head(); ?>
</head>

<body class="cleanpage">
    <div class="appexperts-thankyou">

        <div>
            <?php if (!empty($order)) : ?>
                <div>
                    <h3>
                        <?php echo apply_filters('woocommerce_thankyou_order_received_text', __('Thank you. Your order has been received.', 'woocommerce'), $order); ?>
                    </h3>
                </div>
                <ul class="centerFlex woocommerce-thankyou-order-details order_details" style="list-style: none;text-align: center; padding: 20px;">
                    <li class="order">
                        <?php _e('Order Number:', 'woocommerce'); ?>
                        <strong>#<?php echo $order->get_order_number(); ?></strong>
                    </li>
                    <li class="date">
                        <?php _e('Date:', 'woocommerce'); ?>
                        <strong><?php echo date_i18n(get_option('date_format'), strtotime($order->get_date_created())); ?></strong>
                    </li>
                    <li class="total">
                        <?php _e('Total:', 'woocommerce'); ?>
                        <strong><?php echo $order->get_formatted_order_total(); ?></strong>
                    </li>
                    <?php if ($order->get_payment_method_title()) : ?>
                        <li class="method">
                            <?php _e('Payment Method:', 'woocommerce'); ?>
                            <strong><?php echo $order->get_payment_method_title(); ?></strong>
                        </li>
                    <?php endif; ?>
                </ul>
            <?php endif; ?>
        </div>
    </div>
    <div class="clear"></div>
    <?php wp_footer(); ?>
</body>

</html>